/*
 *
 *  Copyright (C) 1999,2000 Silicon Graphics, Inc.
 *
 *  Written by John Hawkes (hawkes@sgi.com)
 *  Based on lockstat.c by Jack Steiner (steiner@sgi.com)
 *
 *  Modifications by Ray Bryant (raybry@us.ibm.com) Feb-Mar 2000
 *  Changes Copyright (C) 2000 IBM, Inc.
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _LOCKSTAT_H_
#define _LOCKSTAT_H_

/* for <linux/lockmeter.h> */
#ifdef mips
#define CONFIG_MIPS32_COMPAT 1
#endif

#include <linux/lockmeter.h>

#define DEFAULT_DATA_FILENAME "/proc/lockmeter"
#define DEFAULT_GET_FILENAME  "lockstat.tmp"
#define DEFAULT_MAP_FILENAME  "/usr/src/linux/System.map"

extern char defaultDataFilename[];	/* for getsetdata.c */

extern void	closeFiles(void);
extern void	getKernelData(lstat_user_request_t **, lstat_lock_counts_t ***,
			      lstat_directory_entry_t **,
			      lstat_read_lock_counts_t ***, int);
extern int	isProcFile(void);
extern void	XlateAddressToSymbol(int, void *, char *);
extern int	openKernelData(char *);
extern int	openMapFile(char *);
extern void	setCollectionState(int);
extern void	setMirrorOutFilename(char *);
extern char *	strSpace(void);

#ifdef TIMER
extern void cycletrace(char*);
#define TSTAMP(s)	cycletrace(s);
#else
#define TSTAMP(s)
#endif

#define TRUE 1
#define FALSE 0


#endif /* _LOCKSTAT_H_ */
